@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Winamp - StreamRipper- delete incomplete folders
::
rem ----------------------------------------------------------------------
::	2006-09-13   support@putzi4win.de
::	2007-01-21   support@putzi4win.de   Test der reg.exe
::	2007-09-28   support@putzi4win.de   reg.exe mit shregv ersetzt
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------
	set regValue=HKEY_CURRENT_USER\Software\Winamp\@


rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=Winamp - StreamRipper
	echo metaVERSION=1.0
	echo metaAUTHOR=Axel Hahn
	echo metaDESCRIPTION=Lscht die Ordner "incomplete" der Streamripper Aufzeichnungen
	echo metaURLINFO=
	echo metaURLDOWNLOAD=
	echo metaCATEGORY=Multimedia
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=
	if "%1"=="/meta" goto end



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	set WinampDir=
	set SrOutDir=
	For /F "tokens=2* delims==" %%i in ('%~dp0\tools\shregv "%regValue%" ^| findstr "="' ) Do set WinampDir=%%i
	if "%WinampDir%"=="" echo ERROR:Die Anwendung WINAMP wurde nicht gefunden. Bearbeitung wird abgebrochen. && goto end
	if NOT exist "%WinampDir%\plugins\sripper.ini" echo ERROR:Winamp wurde erkannt, aber die Konfiguration des Streamripper-Plugin wurde nicht gefunden. Bearbeitung wird abgebrochen. && goto end
	For /F "tokens=2* delims==" %%i in ('type "%WinampDir%\plugins\sripper.ini" ^| findstr "^output_dir="') Do set SrOutDir=%%i
	if "%SrOutDir%"=="" echo ERROR:Winamp und Streamripper wurden erkannt, aber es wurde kein Ausgabeverzeichnis in den Plugin-Einstellungen definiert. Bearbeitung wird abgebrochen. && goto end

	echo.
	echo %commentLine%
	echo # files
	echo %commentLine%
	for /F "tokens=*" %%b in ('dir /a:-D /s /b "%SrOutDir%"  ^|findstr "\\incomplete\\" ') do echo FILE:%%b
	echo.

	echo %commentLine%
	echo # directories
	echo %commentLine%
	for /F "tokens=*" %%b in ('dir /a:D /s /b "%SrOutDir%"  ^|findstr "\\incomplete" ') do echo DIR:%%b
	echo.

	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%
	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
